Package Details: freefem++ 3.50-1

Git Clone URL: https://aur.archlinux.org/freefem++.git (read-only)
Package Base: freefem++
Description: A PDE oriented language using the finite element method
Upstream URL: http://www.freefem.org/ff++/index.htm
Licenses: LGPL
Submitter: holos
Maintainer: holos
Last Packager: holos
Votes: 9
Popularity: 0.159555
First Submitted: 2012-11-11 19:08
Last Updated: 2016-11-27 08:03

Latest Comments

deltux commented on 2016-11-27 11:25

PKGCONFIG has to be updated with 'Makefile-mumps-5.0.2.inc' instead of 5.0.1 in order for the function 'prepare()' to work properly (line 28).

gdolle commented on 2016-10-18 13:07

hdf5-cpp-fortran break compatibility with hdf5-openmpi version.
Maybe `hdf5` package should be used instead (to be checked)
(It seems it's discussed also for cgns package)

greyltc commented on 2016-05-31 16:31

'hdf5-cpp-fortran' needs to be in the depends list.

LoicH commented on 2016-05-19 07:50

Hello,
Same problem as you jacopo-canton .Have you find a solution ?

jacopo-canton commented on 2016-04-11 16:56

Hello,
I'm having a problem compiling 3.45:

make[4]: Entering directory '/home/.../freefem++/src/freefem++-3.45/src/fflib'
CXX some stuff that works ...
CXX write_hdf5.o
In file included from ../bamglib/write_hdf5.cpp:4:0:
../bamglib/write_hdf5.hpp:19:19: fatal error: H5Cpp.h: No such file or directory
compilation terminated.

any help?
Thanks

gdolle commented on 2016-03-25 11:00

I confirm that the 3.45 version works well by just updating the version number in the PKGBUILD and also SHA256sum.

holos commented on 2016-03-16 01:51

sorry, I ignored freefem for a while since the build was broken for me until recently. 3.44 worked for me in clean chroot, though it looks like 3.45 is out now

viperpaulo commented on 2015-11-10 10:30

Maybe ipopt is the missing dependency since it seems to be where it stops compiling. Do you have it installed from another package?

viperpaulo commented on 2015-10-30 09:28

Hi holos,

I have trouble with this new version of the package (3.41-1), it doesn't compile, even in a clean chroot! Can you try to compile it in a clean chroot to see if there is a missing dependency: https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot

I didn't manage to find the missing dependency...

holos commented on 2015-03-05 16:38

I didn't get crashes with 3.34-2 (I didn't try 3.34-1) with --enable-download, so I left it for the time being

All comments